/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
.onboardingContainer.featureCallout {
  position: absolute;
  transition: opacity 0.5s ease;
  z-index: 2147483645;
}
.onboardingContainer.featureCallout.hidden {
  opacity: 0;
  pointer-events: none;
}
.onboardingContainer.featureCallout, .onboardingContainer.featureCallout .outer-wrapper {
  height: auto;
}
.onboardingContainer.featureCallout .screen:dir(rtl) {
  transform: none;
}
.onboardingContainer.featureCallout .screen[pos=callout] {
  z-index: 2147483646;
  height: fit-content;
  min-height: unset;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
}
.onboardingContainer.featureCallout .screen[pos=callout] .logo-container {
  display: flex;
  justify-content: center;
}
.onboardingContainer.featureCallout .screen[pos=callout] .logo-container .brand-logo {
  margin: 30px 45px 0;
}
.onboardingContainer.featureCallout .screen[pos=callout] .logo-container .brand-logo:dir(rtl) {
  transform: rotateY(180deg);
}
.onboardingContainer.featureCallout .screen[pos=callout] .welcome-text {
  align-items: baseline;
  text-align: start;
  margin-inline: 30px;
  padding: 20px 0 0;
}
.onboardingContainer.featureCallout .screen[pos=callout] .welcome-text h1,
.onboardingContainer.featureCallout .screen[pos=callout] .welcome-text h2 {
  font-size: 0.8em;
  margin: 0;
}
.onboardingContainer.featureCallout .screen[pos=callout] .welcome-text h1 {
  font-weight: bold;
}
.onboardingContainer.featureCallout .screen[pos=callout] .welcome-text h2 {
  margin-block: 10px;
}
.onboardingContainer.featureCallout .screen[pos=callout] .section-secondary {
  display: none;
}
.onboardingContainer.featureCallout .screen[pos=callout] .section-main {
  height: fit-content;
  width: fit-content;
}
.onboardingContainer.featureCallout .screen[pos=callout] .section-main .main-content {
  overflow: hidden;
  border: 1px solid #CFCFD8;
  box-shadow: 0 2px 14px rgba(58, 57, 68, 0.2);
  border-radius: 4px;
  padding-block: 0 24px;
  width: 25em;
}
.onboardingContainer.featureCallout .screen[pos=callout] .section-main .main-content .steps {
  align-self: baseline;
  margin: -38px 30px -30px;
  padding-block: 0;
}
.onboardingContainer.featureCallout .screen[pos=callout] .section-main .main-content .dismiss-button {
  margin-block: 25px -45px;
  z-index: 1;
}
@media (prefers-contrast) {
  .onboardingContainer.featureCallout .screen[pos=callout] .section-main .main-content .dismiss-button {
    background-color: var(--in-content-button-background);
  }
  .onboardingContainer.featureCallout .screen[pos=callout] .section-main .main-content .dismiss-button:hover {
    background-color: var(--in-content-primary-button-background);
    color: var(--in-content-primary-button-text-color);
  }
}
.onboardingContainer.featureCallout .screen[pos=callout] .action-buttons {
  margin-block: 0 16px;
}
.onboardingContainer.featureCallout .screen[pos=callout] .action-buttons .primary,
.onboardingContainer.featureCallout .screen[pos=callout] .action-buttons .secondary-cta .secondary {
  padding: 4px 16px;
  font-size: 0.8em;
  height: 2em;
}
.onboardingContainer.featureCallout .screen[pos=callout] .action-buttons .primary {
  font-weight: bold;
  float: inline-end;
  margin-inline: 10px 30px;
  background-color: var(--in-content-button-background);
  color: var(--in-content-button-text-color);
}
.onboardingContainer.featureCallout .screen[pos=callout] .action-buttons .primary:hover {
  background-color: var(--in-content-button-background-hover);
}
@media (prefers-contrast) {
  .onboardingContainer.featureCallout .screen[pos=callout] .action-buttons .primary {
    color: var(--in-content-button-text-color);
    border: 1px solid var(--in-content-button-border-color);
  }
  .onboardingContainer.featureCallout .screen[pos=callout] .action-buttons .primary:hover {
    background-color: var(--in-content-primary-button-background);
    color: var(--in-content-primary-button-text-color);
  }
}
.onboardingContainer.featureCallout .screen[pos=callout] .action-buttons .secondary-cta {
  float: inline-end;
}
.onboardingContainer.featureCallout.callout-arrow::before, .onboardingContainer.featureCallout.callout-arrow::after {
  content: "";
  position: absolute;
  width: 24px;
  height: 24px;
  transform: rotate(45deg);
}
.onboardingContainer.featureCallout.callout-arrow:dir(rtl)::before, .onboardingContainer.featureCallout.callout-arrow:dir(rtl)::after {
  transform: rotate(315deg);
}
.onboardingContainer.featureCallout.callout-arrow::before {
  background-color: var(--in-content-page-background);
  z-index: 2147483647;
}
.onboardingContainer.featureCallout.callout-arrow::after {
  background: transparent;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
  z-index: -1;
}
.onboardingContainer.featureCallout.arrow-top::before, .onboardingContainer.featureCallout.arrow-top::after {
  top: -12px;
  inset-inline-start: calc(50% - 12px);
}
.onboardingContainer.featureCallout.arrow-top::before {
  border-top: 1px solid #CFCFD8;
  border-inline-start: 1px solid #CFCFD8;
}
.onboardingContainer.featureCallout.arrow-bottom::before, .onboardingContainer.featureCallout.arrow-bottom::after {
  top: calc(100% - 12px);
  inset-inline-start: calc(50% - 12px);
}
.onboardingContainer.featureCallout.arrow-bottom::before {
  border-inline-end: 1px solid #CFCFD8;
  border-bottom: 1px solid #CFCFD8;
}
.onboardingContainer.featureCallout.arrow-inline-end::before, .onboardingContainer.featureCallout.arrow-inline-end::after {
  top: calc(50% - 12px);
  inset-inline-start: calc(100% - 12px);
}
.onboardingContainer.featureCallout.arrow-inline-end::before {
  border-top: 1px solid #CFCFD8;
  border-inline-end: 1px solid #CFCFD8;
}
.onboardingContainer.featureCallout.arrow-inline-start::before, .onboardingContainer.featureCallout.arrow-inline-start::after {
  top: calc(50% - 12px);
  inset-inline-start: -12px;
}
.onboardingContainer.featureCallout.arrow-inline-start::before {
  border-bottom: 1px solid #CFCFD8;
  border-inline-start: 1px solid #CFCFD8;
}

html {
  height: 100%;
}

.dummy {
  background: var(--mr-welcome-background-color) var(--mr-welcome-background-gradient) var(--mr-secondary-position) var(--mr-screen-background-color);
}

:root[dialogroot] {
  background-color: transparent;
}
:root[dialogroot] body {
  padding: 0;
}
:root[dialogroot] .onboardingContainer {
  height: 100%;
  background-color: transparent;
}
:root[dialogroot] .onboardingContainer:dir(rtl) {
  transform: unset;
}
:root[dialogroot] .onboardingContainer .logo-container {
  pointer-events: none;
}
:root[dialogroot] .onboardingContainer .screen:dir(rtl) {
  transform: unset;
}

.welcome-container .onboardingContainer {
  min-height: 610px;
  min-width: fit-content;
}

.onboardingContainer {
  --grey-subtitle-1: #696977;
  --newtab-button-secondary-color: #0060DF;
  --mr-welcome-background-color: #F8F6F4;
  --mr-welcome-background-gradient: linear-gradient(0deg, rgba(144, 89, 255, 0.2) 0%, rgba(2, 144, 238, 0.2) 100%);
  --mr-screen-background-color: #F8F6F4;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Ubuntu", "Helvetica Neue", sans-serif;
  font-size: 16px;
  position: relative;
  text-align: center;
  height: 100vh;
  --transition: 0.6s opacity, 0.6s scale, 0.6s rotate, 0.6s translate;
}
@media (prefers-color-scheme: dark) {
  .onboardingContainer {
    --grey-subtitle-1: #FFF;
    --newtab-button-secondary-color: #FFF;
    --mr-welcome-background-color: #333336;
    --mr-welcome-background-gradient: linear-gradient(0deg, rgba(144, 89, 255, 0.3) 0%, rgba(2, 144, 238, 0.3) 100%);
    --mr-screen-background-color: #62697A;
  }
}
@media (prefers-contrast) {
  .onboardingContainer {
    --mr-screen-background-color: #F8F6F4;
  }
}
@media (prefers-contrast: more) {
  .onboardingContainer {
    background-color: var(--in-content-page-background);
  }
}
@media (prefers-reduced-motion: no-preference) {
  .onboardingContainer {
    --translate: 30px;
    --rotate: 20deg;
    --scale: 0.4;
  }
  .onboardingContainer:dir(rtl) {
    --scale: -0.4 0.4;
  }
}
@media (prefers-reduced-motion: reduce) {
  .onboardingContainer {
    --translate: 0;
    --rotate: 0deg;
    --scale: 1;
  }
  .onboardingContainer:dir(rtl) {
    --scale: -1 1;
  }
}
.onboardingContainer:dir(rtl) {
  transform: rotateY(180deg);
}
.onboardingContainer .section-main {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 504px;
  flex-shrink: 0;
}
.onboardingContainer .main-content {
  background-color: var(--in-content-page-background);
  border-radius: 20px;
  box-shadow: 0 2px 14px 0 rgba(0, 0, 0, 0.2);
  display: flex;
  flex-direction: column;
  height: 100%;
  padding: 0;
  transition: var(--transition);
  z-index: 1;
  box-sizing: border-box;
}
.onboardingContainer .main-content.no-steps {
  padding-bottom: 48px;
}
.onboardingContainer .main-content .main-content-inner {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  justify-content: space-around;
}
.onboardingContainer .main-content .no-steps[pos=corner] .main-content, .onboardingContainer .main-content .no-steps[pos=center].dialog-initial.dialog-last .main-content,
.onboardingContainer .screen[pos=corner] .main-content,
.onboardingContainer .screen[pos=center].dialog-initial.dialog-last .main-content {
  padding-bottom: 48px;
}
.onboardingContainer .main-content .no-steps[pos=corner] .steps, .onboardingContainer .main-content .no-steps[pos=center].dialog-initial.dialog-last .steps,
.onboardingContainer .screen[pos=corner] .steps,
.onboardingContainer .screen[pos=center].dialog-initial.dialog-last .steps {
  display: none;
}
.onboardingContainer .screen {
  display: flex;
  position: relative;
  flex-flow: row nowrap;
  height: 100%;
  min-height: 500px;
  overflow: hidden;
}
.onboardingContainer .screen.light-text {
  --in-content-page-color: rgb(251, 251, 254);
  --in-content-primary-button-text-color: rgb(43, 42, 51);
  --in-content-primary-button-text-color-hover: rgb(43, 42, 51);
  --in-content-primary-button-background: rgb(0, 221, 255);
  --in-content-primary-button-background-hover: rgb(128, 235, 255);
  --in-content-primary-button-background-active: rgb(170, 242, 255);
  --in-content-link-color: var(--in-content-primary-button-background);
  --in-content-link-color-hover: var(--in-content-primary-button-background-hover);
  --in-content-link-color-active: var(--in-content-primary-button-background-active);
  --in-content-link-color-visited: var(--in-content-link-color);
  --checkbox-checked-bgcolor: var(--in-content-primary-button-background);
  --in-content-button-text-color: var(--in-content-page-color);
}
.onboardingContainer .screen.dark-text {
  --in-content-page-color: rgb(21, 20, 26);
  --in-content-primary-button-text-color: rgb(251, 251, 254);
  --in-content-primary-button-text-color-hover: rgb(251, 251, 254);
  --in-content-primary-button-background: #0061E0;
  --in-content-primary-button-background-hover: #0250BB;
  --in-content-primary-button-background-active: #053E94;
  --in-content-primary-button-border-color: transparent;
  --in-content-primary-button-border-hover: transparent;
  --in-content-link-color: var(--blue-60);
  --in-content-link-color-hover: var(--blue-70);
  --in-content-link-color-active: var(--blue-80);
  --in-content-link-color-visited: var(--blue-60);
  --checkbox-checked-bgcolor: var(--in-content-primary-button-background);
  --in-content-button-text-color: var(--in-content-page-color);
}
.onboardingContainer .screen:dir(rtl) {
  transform: rotateY(180deg);
}
.onboardingContainer .screen[pos=center] {
  background-color: rgba(21, 20, 26, 0.5);
  min-width: 504px;
}
.onboardingContainer .screen[pos=center].with-noodles {
  min-width: 610px;
  min-height: 610px;
}
.onboardingContainer .screen[pos=center].with-noodles .section-main {
  height: 504px;
}
.onboardingContainer .screen:not([pos=split]) .secondary-cta .secondary {
  background: none;
  color: var(--in-content-link-color);
  font-size: 14px;
  font-weight: normal;
  line-height: 20px;
}
.onboardingContainer .screen[pos=split] {
  margin: auto;
  min-height: 550px;
}
.onboardingContainer .screen[pos=split] .section-secondary,
.onboardingContainer .screen[pos=split] .section-main {
  width: 400px;
  height: 550px;
}
.onboardingContainer .screen[pos=split] .secondary-cta.top {
  padding-inline-end: 0;
}
@media (max-height: 650px) and (max-width: 990px) {
  .onboardingContainer .screen[pos=split] .secondary-cta.top {
    display: none;
  }
}
.onboardingContainer .screen[pos=split] .secondary-cta.top button {
  color: var(--in-content-page-color);
}
.onboardingContainer .screen[pos=split] .section-main {
  flex-direction: row;
  display: block;
  margin: auto auto auto 0;
}
.onboardingContainer .screen[pos=split] .section-main:dir(rtl) {
  margin: auto 0 auto auto;
}
.onboardingContainer .screen[pos=split] .section-main .main-content {
  border-radius: 0 8px 8px 0;
  overflow: hidden;
  padding-inline: 35px 20px;
  padding-block: 120px 0;
  box-shadow: none;
}
.onboardingContainer .screen[pos=split] .section-main .main-content:dir(rtl) {
  border-radius: 8px 0 0 8px;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .main-content-inner {
  min-height: 330px;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .main-content-inner .language-switcher-container .primary {
  margin-bottom: 5px;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons {
  position: relative;
  text-align: initial;
  height: 100%;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons .checkbox-container {
  font-size: 13px;
  margin-block: 1em;
  transition: var(--transition);
}
.onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons .checkbox-container input,
.onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons .checkbox-container label {
  vertical-align: middle;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons.dual-action-buttons button {
  padding: 8px 16px;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons.dual-action-buttons .secondary-cta {
  display: block;
  position: relative;
  bottom: unset;
  margin-block: 5px 0;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons.dual-action-buttons .secondary-cta .secondary {
  margin-inline: 0;
  font-size: 13px;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons .secondary-cta {
  position: absolute;
  bottom: -30px;
  inset-inline-end: 0;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons .secondary-cta .secondary {
  background-color: var(--in-content-button-background) !important;
  border: 1px solid var(--in-content-button-border-color);
  line-height: 12px;
  font-size: 0.72em;
  font-weight: 600;
  padding: 8px 16px;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons .secondary-cta .secondary:hover {
  text-decoration: none;
  background-color: var(--in-content-button-background-hover) !important;
  color: var(--in-content-button-text-color-hover);
}
.onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons .secondary-cta .arrow-icon {
  -moz-context-properties: fill;
  fill: currentColor;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons .secondary-cta .arrow-icon::after {
  content: "";
  padding-inline-end: 12px;
  margin-inline-start: 4px;
  background: url("chrome://browser/skin/forward.svg") no-repeat center/12px;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons .secondary-cta .arrow-icon:dir(rtl)::after {
  background-image: url("chrome://browser/skin/back.svg");
}
.onboardingContainer .screen[pos=split] .section-main .main-content .logo-container {
  text-align: start;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .brand-logo {
  height: 25px;
  margin-block: 0;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .welcome-text {
  margin-inline: 0 10px;
  margin-block: 10px 35px;
  text-align: initial;
  align-items: initial;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .welcome-text h1 {
  font-size: 24px;
  line-height: 1.2;
  width: 300px;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .welcome-text h2 {
  color: #5B5B66;
  margin: 10px 0 0;
  min-height: 1em;
  font-size: 15px;
  line-height: 1.5;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .welcome-text h1,
.onboardingContainer .screen[pos=split] .section-main .main-content .primary {
  margin: 0;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .steps {
  z-index: 1;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .steps.progress-bar {
  width: 400px;
  margin-inline: -35px;
}
.onboardingContainer .screen[pos=split] .section-main .main-content .steps.progress-bar .indicator {
  border-radius: 0;
  width: -moz-available;
  margin-inline: 0;
}
.onboardingContainer .screen[pos=split] .section-secondary {
  --mr-secondary-position: center center / auto 350px;
  border-radius: 8px 0 0 8px;
  box-shadow: 0 2px 14px 0 rgba(0, 0, 0, 0.2);
  margin: auto 0 auto auto;
  display: flex;
  align-items: center;
  -moz-context-properties: fill, stroke, fill-opacity, stroke-opacity;
  stroke: currentColor;
}
.onboardingContainer .screen[pos=split] .section-secondary:dir(rtl) {
  border-radius: 0 8px 8px 0;
  margin: auto auto auto 0;
}
.onboardingContainer .screen[pos=split] .section-secondary h1 {
  font-weight: 700;
  font-size: 47px;
  line-height: 110%;
  max-width: 340px;
  text-align: initial;
  white-space: pre-wrap;
  text-shadow: none;
  margin-inline: 40px 0;
}
.onboardingContainer .screen[pos=split] .section-secondary .hero-image {
  flex: 1;
  display: flex;
  justify-content: center;
  max-height: 100%;
}
.onboardingContainer .screen[pos=split] .section-secondary .hero-image img {
  width: 100%;
  max-width: 180px;
  margin: 25px 0;
  padding-bottom: 30px;
}
@media only screen and (max-width: 800px) {
  .onboardingContainer .screen[pos=split] .section-secondary .hero-image img {
    padding-bottom: unset;
  }
}
.onboardingContainer .screen[pos=split] .tiles-theme-container {
  margin-block: -20px auto;
  align-items: initial;
}
.onboardingContainer .screen[pos=split] .tiles-theme-container .colorway-text {
  text-align: initial;
  transition: var(--transition);
  font-size: 13px;
  line-height: 1.5;
  margin-block: 10px 20px;
}
.onboardingContainer .screen[pos=split] .tiles-theme-container .theme {
  min-width: 38px;
}
@media (prefers-color-scheme: dark) {
  .onboardingContainer .screen[pos=split] .section-main .main-content .welcome-text h2 {
    color: #CFCFD8;
  }
  .onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons .secondary {
    background-color: #2B2A33;
  }
}
@media only screen and (min-width: 800px) {
  .onboardingContainer .screen[pos=split] .tiles-theme-section {
    margin-inline-start: -10px;
  }
}
@media only screen and (max-width: 800px) {
  .onboardingContainer .screen[pos=split] {
    flex-direction: column;
    min-height: 550px;
  }
  .onboardingContainer .screen[pos=split] .section-secondary,
.onboardingContainer .screen[pos=split] .section-main {
    width: 400px;
  }
  .onboardingContainer .screen[pos=split] .section-secondary {
    --mr-secondary-background-position-y: top;
    --mr-secondary-position: center var(--mr-secondary-background-position-y) / 75%;
    border-radius: 8px 8px 0 0;
    margin: auto auto 0;
    height: 100px;
  }
  .onboardingContainer .screen[pos=split] .section-secondary .hero-image img {
    margin: 6px 0;
  }
  .onboardingContainer .screen[pos=split] .section-secondary h1 {
    font-size: 35px;
    text-align: center;
    white-space: normal;
  }
  .onboardingContainer .screen[pos=split] .section-secondary:dir(rtl) {
    margin: auto auto 0;
    border-radius: 8px 8px 0 0;
  }
  .onboardingContainer .screen[pos=split] .section-main {
    margin: 0 auto auto;
    height: 450px;
  }
  .onboardingContainer .screen[pos=split] .section-main .main-content {
    border-radius: 0 0 8px 8px;
    padding: 30px 0 0;
  }
  .onboardingContainer .screen[pos=split] .section-main .main-content .main-content-inner {
    align-items: center;
  }
  .onboardingContainer .screen[pos=split] .section-main .main-content .logo-container {
    text-align: center;
  }
  .onboardingContainer .screen[pos=split] .section-main .main-content .logo-container .brand-logo {
    min-height: 25px;
  }
  .onboardingContainer .screen[pos=split] .section-main .main-content .logo-container .brand-logo, .onboardingContainer .screen[pos=split] .section-main .main-content .logo-container .brand-logo:dir(rtl) {
    background-position: center;
  }
  .onboardingContainer .screen[pos=split] .section-main .main-content .welcome-text {
    align-items: center;
    text-align: center;
    margin-inline: 0;
    padding-inline: 30px;
  }
  .onboardingContainer .screen[pos=split] .section-main .main-content .welcome-text .spacer-bottom,
.onboardingContainer .screen[pos=split] .section-main .main-content .welcome-text .spacer-top {
    display: none;
  }
  .onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons {
    text-align: center;
  }
  .onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons .checkbox-container {
    display: none;
  }
  .onboardingContainer .screen[pos=split] .section-main .main-content .action-buttons .secondary-cta {
    position: relative;
    margin-block: 10px 0;
    bottom: 0;
  }
  .onboardingContainer .screen[pos=split] .section-main .main-content .primary,
.onboardingContainer .screen[pos=split] .section-main .main-content .secondary {
    min-width: 240px;
  }
  .onboardingContainer .screen[pos=split] .section-main .main-content .colorway-text {
    text-align: center;
    margin-inline: 30px;
  }
  .onboardingContainer .screen[pos=split] .section-main .main-content .steps {
    padding-block: 0;
    margin: 0;
  }
  .onboardingContainer .screen[pos=split] .section-main .main-content .steps.progress-bar {
    margin-inline: 0;
  }
  .onboardingContainer .screen[pos=split] .section-main:dir(rtl) {
    margin: 0 auto auto;
  }
  .onboardingContainer .screen[pos=split] .section-main:dir(rtl) .main-content {
    border-radius: 0 0 8px 8px;
  }
}
.onboardingContainer .brand-logo {
  margin-block: 60px 10px;
  transition: var(--transition);
  height: 80px;
}
.onboardingContainer .brand-logo.cta-top {
  margin-top: 25px;
}
.onboardingContainer .brand-logo.hide {
  visibility: hidden;
  padding: unset;
  margin-top: 50px;
}
.onboardingContainer .rtamo-theme-icon {
  max-height: 30px;
  border-radius: 2px;
  margin-bottom: 10px;
  margin-top: 24px;
}
.onboardingContainer .hide-rtamo-icon {
  display: none;
}
.onboardingContainer .welcome-text {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 0.5em 1em;
  transition: var(--transition);
}
.onboardingContainer .welcome-text h1,
.onboardingContainer .welcome-text h2 {
  color: var(--in-content-page-color);
  line-height: 1.5;
}
.onboardingContainer .welcome-text h1 {
  font-size: 24px;
  font-weight: 600;
  margin: 0 6px;
  letter-spacing: -0.02em;
  outline: none;
}
.onboardingContainer .welcome-text h2 {
  font-size: 16px;
  font-weight: normal;
  margin: 10px 6px 0;
  max-width: 750px;
  letter-spacing: -0.01em;
}
.onboardingContainer .welcome-text.fancy h1 {
  background-image: linear-gradient(90deg, #9059FF, #FF4AA2, #FF8C00, #FF4AA2, #9059FF);
  background-clip: text;
  background-size: 200%;
}
@media (prefers-contrast: no-preference) {
  .onboardingContainer .welcome-text.fancy h1 {
    color: transparent;
  }
}
@media (prefers-color-scheme: dark) {
  .onboardingContainer .welcome-text.fancy h1 {
    background-image: linear-gradient(90deg, #C688FF, #FF84C0, #FFBD4F, #FF84C0, #C688FF);
  }
  .onboardingContainer .welcome-text.fancy h1::selection {
    color: #FFF;
    background-color: #696977;
  }
}
.onboardingContainer .welcome-text.shine h1 {
  animation: shine 50s linear infinite;
  background-size: 400%;
}
@keyframes shine {
  to {
    background-position: 400%;
  }
}
.onboardingContainer .welcome-text .cta-paragraph a {
  margin: 0;
  text-decoration: underline;
  cursor: pointer;
}
.onboardingContainer .screen.light-text .welcome-text.fancy h1 {
  background-image: linear-gradient(90deg, #C688FF, #FF84C0, #FFBD4F, #FF84C0, #C688FF);
}
.onboardingContainer .screen.dark-text .welcome-text.fancy h1 {
  background-image: linear-gradient(90deg, #9059FF, #FF4AA2, #FF8C00, #FF4AA2, #9059FF);
}
.onboardingContainer .welcomeZap span {
  position: relative;
  z-index: 1;
  white-space: nowrap;
}
.onboardingContainer .welcomeZap .zap::after {
  display: block;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  content: "";
  position: absolute;
  top: calc(100% - 0.15em);
  width: 100%;
  height: 0.3em;
  left: 0;
  z-index: -1;
  transform: scaleY(3);
}
.onboardingContainer .welcomeZap .zap.short::after {
  background-image: url("chrome://activity-stream/content/data/content/assets/short-zap.svg");
}
.onboardingContainer .welcomeZap .zap.long::after {
  background-image: url("chrome://activity-stream/content/data/content/assets/long-zap.svg");
}
.onboardingContainer .language-loader {
  filter: invert(1);
  margin-inline-end: 10px;
  position: relative;
  top: 3px;
  width: 16px;
  height: 16px;
  margin-top: -6px;
}
@media (prefers-color-scheme: dark) {
  .onboardingContainer .language-loader {
    filter: invert(0);
  }
}
.onboardingContainer .tiles-theme-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 10px auto;
}
.onboardingContainer .tiles-theme-container.colorway {
  flex-direction: column-reverse;
}
.onboardingContainer .sr-only {
  opacity: 0;
  overflow: hidden;
  position: absolute;
}
.onboardingContainer .sr-only.input {
  height: 1px;
  width: 1px;
}
.onboardingContainer .colorway-variations {
  align-items: center;
  color: #000;
  display: flex;
  flex-direction: column;
  height: 190px;
  margin-bottom: 10px;
  padding-top: 34px;
  position: relative;
  transition: var(--transition);
  width: 190px;
  /* Show a custom background image that transitions for each theme. */
  /* Stack a disc background above the custom background image and below other
   * content so that we can transform the parent variations element. Use a
   * similar ::after disc to cover up content while transitioning. */
}
.onboardingContainer .colorway-variations::before {
  background-size: 100%;
  content: "";
  height: 197px;
  left: -48px;
  margin: auto;
  pointer-events: none;
  position: absolute;
  top: -7px;
  transition: 0.5s opacity, 0.5s rotate, 0.5s scale;
  width: 286px;
  z-index: -1;
}
.onboardingContainer .colorway-variations.in::before {
  rotate: calc(-4.5 * var(--rotate));
  transition: none;
}
.onboardingContainer .colorway-variations:where(.in, .out)::before {
  opacity: 0;
  rotate: calc(4.5 * var(--rotate));
  scale: var(--scale);
}
.onboardingContainer .colorway-variations .variations-disc, .onboardingContainer .colorway-variations::after {
  background: center/cover;
  border-radius: 100%;
  height: 190px;
  left: 0;
  pointer-events: none;
  position: absolute;
  top: 0;
  width: 190px;
}
.onboardingContainer .colorway-variations .variations-disc {
  z-index: -1;
}
.onboardingContainer .colorway-variations::after {
  content: "";
  opacity: 0;
  transition: 0.4s opacity;
}
.onboardingContainer .colorway-variations.out::after {
  opacity: 1;
}
.onboardingContainer .colorway-variations.default .variations-disc, .onboardingContainer .colorway-variations[next=default]::after {
  /* Gradients aren't used for high contrast, so show a solid color instead. */
  background-color: var(--in-content-page-background);
  background-image: linear-gradient(#F0F0F4, #9F9FAD);
  outline: 2px solid var(--in-content-button-border-color);
  outline-offset: -2px;
}
.onboardingContainer .colorway-variations.default::before {
  background-image: url("chrome://browser/skin/upgradeDialog/default.png");
}
.onboardingContainer .colorway-variations.abstract .variations-disc, .onboardingContainer .colorway-variations[next=abstract]::after {
  background-image: url("resource://builtin-themes/colorways/2021abstract/balanced/icon.svg");
}
.onboardingContainer .colorway-variations.abstract::before {
  background-image: url("chrome://browser/skin/upgradeDialog/abstract.png");
}
.onboardingContainer .colorway-variations.cheers .variations-disc, .onboardingContainer .colorway-variations[next=cheers]::after {
  background-image: url("resource://builtin-themes/colorways/2021cheers/balanced/icon.svg");
}
.onboardingContainer .colorway-variations.cheers::before {
  background-image: url("chrome://browser/skin/upgradeDialog/cheers.png");
}
.onboardingContainer .colorway-variations.elemental .variations-disc, .onboardingContainer .colorway-variations[next=elemental]::after {
  background-image: url("resource://builtin-themes/colorways/2021elemental/balanced/icon.svg");
}
.onboardingContainer .colorway-variations.elemental::before {
  background-image: url("chrome://browser/skin/upgradeDialog/elemental.png");
}
.onboardingContainer .colorway-variations.foto .variations-disc, .onboardingContainer .colorway-variations[next=foto]::after {
  background-image: url("resource://builtin-themes/colorways/2021foto/balanced/icon.svg");
}
.onboardingContainer .colorway-variations.foto::before {
  background-image: url("chrome://browser/skin/upgradeDialog/foto.png");
}
.onboardingContainer .colorway-variations.graffiti .variations-disc, .onboardingContainer .colorway-variations[next=graffiti]::after {
  background-image: url("resource://builtin-themes/colorways/2021graffiti/balanced/icon.svg");
}
.onboardingContainer .colorway-variations.graffiti::before {
  background-image: url("chrome://browser/skin/upgradeDialog/graffiti.png");
}
.onboardingContainer .colorway-variations.lush .variations-disc, .onboardingContainer .colorway-variations[next=lush]::after {
  background-image: url("resource://builtin-themes/colorways/2021lush/balanced/icon.svg");
}
.onboardingContainer .colorway-variations.lush::before {
  background-image: url("chrome://browser/skin/upgradeDialog/lush.png");
}
.onboardingContainer .colorway-variations .colorway:focus-within {
  border-radius: 4px;
  outline: 2px solid rgba(0, 0, 0, 0.64);
  outline-offset: -1px;
}
.onboardingContainer .colorway-variations .colorway-text {
  font-size: 16px;
  font-weight: bold;
  line-height: 24px;
  margin-bottom: 15px;
}
.onboardingContainer .colorway-variations .variation-button {
  font-size: 12px;
  line-height: 12px;
  padding: 6px 12px;
  width: auto;
  height: 24px;
  margin: 3px;
  min-height: 24px;
}
.onboardingContainer .colorway-variations .variation-button:hover {
  background: rgba(0, 0, 0, 0.2);
  border-radius: 2px;
}
.onboardingContainer .colorway-variations .variation-button.selected, .onboardingContainer .colorway-variations .variation-button:active {
  background: rgba(0, 0, 0, 0.64);
  border-radius: 2px;
  color: #FFF;
}
@media (prefers-contrast: more) {
  .onboardingContainer .colorway-variations .variation-button {
    outline: 2px solid var(--in-content-button-border-color);
    border-radius: 2px;
  }
  .onboardingContainer .colorway-variations .variation-button.selected, .onboardingContainer .colorway-variations .variation-button:active {
    background: var(--in-content-box-background);
    color: var(--in-content-text-color);
  }
  .onboardingContainer .colorway-variations .variation-button:hover {
    background: var(--in-content-primary-button-background);
    color: var(--in-content-primary-button-text-color);
  }
}
.onboardingContainer .colorway-variations .colorway-text,
.onboardingContainer .colorway-variations .variation-button {
  transition: 0.4s opacity, 0.4s translate;
}
.onboardingContainer .colorway-variations.in :is(.colorway-text, .variation-button) {
  opacity: 0;
  transition: none;
  translate: 0 calc(var(--translate) / -3);
}
.onboardingContainer .colorway-variations.out :is(.colorway-text, .variation-button) {
  opacity: 0;
  translate: 0 calc(var(--translate) / 3);
}
.onboardingContainer .colorway-variations .colorway:nth-of-type(1) .variation-button {
  transition-delay: 0.1s;
}
.onboardingContainer .colorway-variations .colorway:nth-of-type(2) .variation-button {
  transition-delay: 0.2s;
}
.onboardingContainer .colorway-variations .colorway:nth-of-type(3) .variation-button {
  transition-delay: 0.3s;
}
.onboardingContainer .tiles-theme-section {
  border: 0;
  display: flex;
  flex-wrap: wrap;
  gap: 5px;
  justify-content: space-evenly;
  margin-inline: 10px;
  padding: 10px;
  transition: var(--transition);
}
.onboardingContainer .tiles-theme-section:hover, .onboardingContainer .tiles-theme-section:active, .onboardingContainer .tiles-theme-section:focus-within {
  border-radius: 8px;
  outline: 2px solid var(--in-content-primary-button-background);
}
.onboardingContainer .tiles-theme-section .theme {
  align-items: center;
  display: flex;
  flex-direction: column;
  flex: 1;
  padding: 0;
  min-width: 50px;
  width: 180px;
  color: #000;
  box-shadow: none;
  border-radius: 4px;
  cursor: pointer;
  z-index: 0;
}
.onboardingContainer .tiles-theme-section .theme.colorway {
  width: auto;
}
.onboardingContainer .tiles-theme-section .theme:focus, .onboardingContainer .tiles-theme-section .theme:active {
  outline: initial;
  outline-offset: initial;
}
.onboardingContainer .tiles-theme-section .theme .icon.colorway,
.onboardingContainer .tiles-theme-section .theme .label.colorway {
  width: 20px;
  height: 20px;
}
.onboardingContainer .tiles-theme-section .theme .icon {
  background-size: cover;
  width: 40px;
  height: 40px;
  border-radius: 40px;
  outline: 1px solid var(--in-content-border-color);
  outline-offset: -0.5px;
  z-index: -1;
}
.onboardingContainer .tiles-theme-section .theme .icon:dir(rtl) {
  transform: scaleX(-1);
}
.onboardingContainer .tiles-theme-section .theme .icon:focus, .onboardingContainer .tiles-theme-section .theme .icon:active, .onboardingContainer .tiles-theme-section .theme .icon.selected {
  outline: 2px solid var(--in-content-primary-button-background);
  outline-offset: 2px;
}
.onboardingContainer .tiles-theme-section .theme .icon.light {
  background-image: url("resource://builtin-themes/light/icon.svg");
}
.onboardingContainer .tiles-theme-section .theme .icon.dark {
  background-image: url("resource://builtin-themes/dark/icon.svg");
}
.onboardingContainer .tiles-theme-section .theme .icon.alpenglow {
  background-image: url("resource://builtin-themes/alpenglow/icon.svg");
}
.onboardingContainer .tiles-theme-section .theme .icon.default, .onboardingContainer .tiles-theme-section .theme .icon.automatic {
  background-image: url("resource://default-theme/icon.svg");
}
.onboardingContainer .tiles-theme-section .theme .icon.default.colorway, .onboardingContainer .tiles-theme-section .theme .icon.automatic.colorway {
  background-image: url("chrome://activity-stream/content/data/content/assets/default.svg");
}
.onboardingContainer .tiles-theme-section .theme .icon.abstract {
  background-image: url("resource://builtin-themes/colorways/2021abstract/balanced/icon.svg");
}
.onboardingContainer .tiles-theme-section .theme .icon.cheers {
  background-image: url("resource://builtin-themes/colorways/2021cheers/balanced/icon.svg");
}
.onboardingContainer .tiles-theme-section .theme .icon.elemental {
  background-image: url("resource://builtin-themes/colorways/2021elemental/balanced/icon.svg");
}
.onboardingContainer .tiles-theme-section .theme .icon.foto {
  background-image: url("resource://builtin-themes/colorways/2021foto/balanced/icon.svg");
}
.onboardingContainer .tiles-theme-section .theme .icon.graffiti {
  background-image: url("resource://builtin-themes/colorways/2021graffiti/balanced/icon.svg");
}
.onboardingContainer .tiles-theme-section .theme .icon.lush {
  background-image: url("resource://builtin-themes/colorways/2021lush/balanced/icon.svg");
}
.onboardingContainer .tiles-theme-section .theme .icon.playmaker {
  background-image: url("resource://builtin-themes/colorways/2022playmaker/balanced/icon.svg");
}
.onboardingContainer .tiles-theme-section .theme .icon.expressionist {
  background-image: url("resource://builtin-themes/colorways/2022expressionist/balanced/icon.svg");
}
.onboardingContainer .tiles-theme-section .theme .icon.visionary {
  background-image: url("resource://builtin-themes/colorways/2022visionary/balanced/icon.svg");
}
.onboardingContainer .tiles-theme-section .theme .icon.dreamer {
  background-image: url("resource://builtin-themes/colorways/2022dreamer/balanced/icon.svg");
}
.onboardingContainer .tiles-theme-section .theme .icon.innovator {
  background-image: url("resource://builtin-themes/colorways/2022innovator/balanced/icon.svg");
}
.onboardingContainer .tiles-theme-section .theme .icon.activist {
  background-image: url("resource://builtin-themes/colorways/2022activist/balanced/icon.svg");
}
.onboardingContainer .tiles-theme-section .theme .text {
  display: flex;
  color: var(--in-content-page-color);
  font-size: 14px;
  font-weight: normal;
  line-height: 20px;
  margin-inline-start: 0;
  margin-top: 9px;
}
.onboardingContainer .tiles-theme-section legend {
  cursor: default;
}
.onboardingContainer .tiles-container {
  margin: 10px auto;
}
.onboardingContainer .tiles-container.info {
  padding: 6px 12px 12px;
}
.onboardingContainer .tiles-container.info:hover, .onboardingContainer .tiles-container.info:focus {
  background-color: rgba(217, 217, 227, 0.3);
  border-radius: 4px;
}
.onboardingContainer .tiles-delayed {
  animation: fadein 0.4s;
}
.onboardingContainer .mobile-downloads .qr-code-image {
  margin: 24px 0 10px;
  width: 113px;
  height: 113px;
}
.onboardingContainer .mobile-downloads .email-link {
  font-size: 16px;
  font-weight: 400;
  text-decoration: underline;
  color: var(--in-content-link-color);
}
.onboardingContainer .mobile-downloads .email-link:hover {
  background: none;
}
.onboardingContainer .mobile-downloads .ios button {
  background-image: url("chrome://app-marketplace-icons/locale/ios.svg");
}
.onboardingContainer .mobile-downloads .android button {
  background-image: url("chrome://app-marketplace-icons/locale/android.png");
}
.onboardingContainer .mobile-download-buttons {
  list-style: none;
  padding: 10px 0;
  margin: 0;
}
.onboardingContainer .mobile-download-buttons li {
  display: inline-block;
}
.onboardingContainer .mobile-download-buttons li button {
  display: inline-block;
  height: 45px;
  width: 152px;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  box-shadow: none;
  border: 0;
}
.onboardingContainer .mobile-download-buttons li:not(:first-child) {
  margin-inline: 5px 0;
}
.onboardingContainer .dismiss-button {
  padding: 0;
  margin-block: 30px -45px;
  margin-inline: 0 30px;
  display: block;
  float: inline-end;
  background: url("chrome://global/skin/icons/close.svg") no-repeat center/cover;
  height: 15px;
  width: 15px;
  align-self: end;
  min-height: 15px;
  min-width: 15px;
  -moz-context-properties: fill;
  fill: currentColor;
}
@keyframes fadein {
  from {
    opacity: 0;
  }
}
.onboardingContainer .secondary-cta {
  display: flex;
  align-items: end;
  flex-direction: row;
  justify-content: center;
  font-size: 14px;
  transition: var(--transition);
}
.onboardingContainer .secondary-cta.top {
  justify-content: end;
  padding-inline-end: min(150px, 500px - 70vh);
  padding-top: 4px;
  position: absolute;
  top: 10px;
  inset-inline-end: 20px;
  z-index: 2;
}
.onboardingContainer .secondary-cta.top button {
  color: #FFF;
}
.onboardingContainer .secondary-cta.top button:hover {
  color: #E0E0E6;
}
.onboardingContainer .secondary-cta span {
  color: var(--grey-subtitle-1);
  margin: 0 4px;
}
.onboardingContainer .message-text,
.onboardingContainer .attrib-text {
  transition: var(--transition);
}
.onboardingContainer .helptext {
  padding: 1em;
  text-align: center;
  color: var(--grey-subtitle-1);
  font-size: 12px;
  line-height: 18px;
}
.onboardingContainer .helptext.default {
  align-self: center;
  max-width: 40%;
}
.onboardingContainer .helptext span {
  padding-inline-end: 4px;
}
.onboardingContainer .helptext-img {
  height: 1.5em;
  width: 1.5em;
  margin-inline-end: 4px;
  vertical-align: middle;
}
.onboardingContainer .helptext-img.end {
  margin: 4px;
}
.onboardingContainer .helptext-img.footer {
  vertical-align: bottom;
}
.onboardingContainer .steps {
  display: flex;
  flex-direction: row;
  justify-content: center;
  margin-top: 0;
  padding-block: 16px 0;
  transition: var(--transition);
  z-index: -1;
  height: 48px;
  box-sizing: border-box;
}
.onboardingContainer .steps.has-helptext {
  padding-bottom: 0;
}
.onboardingContainer .steps .indicator {
  width: 0;
  height: 0;
  margin-inline-end: 4px;
  margin-inline-start: 4px;
  background: var(--grey-subtitle-1);
  border-radius: 5px;
  border: 3px solid var(--in-content-button-text-color);
  opacity: 0.25;
  box-sizing: inherit;
}
.onboardingContainer .steps .indicator.current {
  opacity: 1;
  border-color: var(--checkbox-checked-bgcolor);
}
.onboardingContainer .steps .indicator.current:last-of-type:first-of-type {
  opacity: 0;
}
.onboardingContainer .steps.progress-bar {
  height: 6px;
  padding-block: 0;
  margin-block: 42px 0;
}
.onboardingContainer .steps.progress-bar .indicator {
  border-radius: 0;
  width: -moz-available;
  margin-inline: 0;
}
.onboardingContainer .steps .indicator.current, .onboardingContainer .steps.progress-bar .indicator.complete {
  opacity: 1;
  border-color: var(--checkbox-checked-bgcolor);
}
.onboardingContainer .steps .indicator.current:last-of-type:first-of-type, .onboardingContainer .steps.progress-bar .indicator.complete:last-of-type:first-of-type {
  opacity: 0;
}
.onboardingContainer .primary,
.onboardingContainer .secondary {
  font-size: 13px;
  line-height: 16px;
  padding: 11px 15px;
  transition: var(--transition);
}
.onboardingContainer .primary.rtamo,
.onboardingContainer .secondary.rtamo {
  margin-top: 24px;
}
.onboardingContainer .secondary {
  background-color: var(--in-content-button-background);
  color: var(--in-content-button-text-color);
}
.onboardingContainer .noodle {
  display: block;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  position: absolute;
  transition: var(--transition);
}
.onboardingContainer .noodle:dir(rtl) {
  scale: -1 1;
}
.onboardingContainer .outline-L {
  background-image: url("chrome://activity-stream/content/data/content/assets/noodle-outline-L.svg");
}
.onboardingContainer .solid-L {
  background-image: url("chrome://activity-stream/content/data/content/assets/noodle-solid-L.svg");
  -moz-context-properties: fill;
  fill: var(--in-content-page-background);
  display: none;
}
.onboardingContainer .purple-C {
  background-image: url("chrome://activity-stream/content/data/content/assets/noodle-C.svg");
  -moz-context-properties: fill;
  fill: #E7258C;
}
.onboardingContainer .orange-L {
  background-image: url("chrome://activity-stream/content/data/content/assets/noodle-solid-L.svg");
  -moz-context-properties: fill;
  fill: #FFA437;
}
.onboardingContainer [pos=corner] {
  min-width: 700px;
}
.onboardingContainer [pos=corner] .section-secondary {
  display: flex;
  flex-direction: column;
  margin-inline-start: 6vw;
}
.onboardingContainer [pos=corner] .section-secondary .message-text {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.onboardingContainer [pos=corner] .section-secondary .message-text .spacer-top {
  flex: 1;
}
.onboardingContainer [pos=corner] .section-secondary .message-text .spacer-bottom {
  flex: 1;
}
.onboardingContainer [pos=corner] .section-secondary .message-text h1 {
  color: #FFF;
  font-weight: bold;
  font-size: clamp(48px, 7vw, 104px);
  line-height: 1em;
  margin: 0 6px;
  max-width: 5em;
  text-align: initial;
  white-space: pre-wrap;
  text-shadow: 0 4px 8px rgba(0, 0, 0, 0.35);
}
.onboardingContainer [pos=corner] .section-secondary .attrib-text {
  height: 18px;
  margin-bottom: 25px;
  text-align: initial;
  font-size: 12px;
  line-height: 18px;
  color: #F9F9FB;
  text-shadow: 0 0 7px rgba(0, 0, 0, 0.6);
  transition-delay: 0.5s;
}
.onboardingContainer [pos=corner] .section-main {
  z-index: 1;
}
.onboardingContainer [pos=corner] .section-main .main-content {
  background: transparent;
  box-shadow: none;
  display: flex;
  position: absolute;
  height: auto;
  width: 350px;
  bottom: 0;
  inset-inline-end: 30px;
  overflow: visible;
  transition: var(--transition);
}
.onboardingContainer [pos=corner] .section-main .brand-logo {
  margin-top: 0;
  transition-delay: 1.2s;
}
.onboardingContainer [pos=corner] .section-main .primary,
.onboardingContainer [pos=corner] .section-main .secondary-cta:not(.top) {
  transition-delay: 1.7s;
}
.onboardingContainer [pos=corner] .section-main .secondary-cta.top {
  transition-delay: 0.5s;
}
.onboardingContainer [pos=corner] .section-main .welcome-text {
  transition-delay: 1.2s;
}
.onboardingContainer [pos=corner] .section-main .welcome-text h2 {
  margin: 10px 6px;
}
.onboardingContainer [pos=corner] .solid-L {
  display: block;
  width: 1300px;
  height: 1050px;
  bottom: -390px;
  inset-inline-end: -640px;
  transform: rotate(-80deg);
  transition-delay: 0.5s;
}
.onboardingContainer [pos=corner] .orange-L {
  width: 466px;
  height: 356px;
  bottom: 270px;
  inset-inline-end: -245px;
  transition-delay: 0.8s;
}
.onboardingContainer [pos=corner] .purple-C {
  width: 467px;
  height: 382px;
  bottom: -100px;
  inset-inline-end: 125px;
  transform: rotate(-75deg);
  transition-delay: 0.8s;
}
.onboardingContainer .screen-1 .section-main {
  z-index: 1;
  margin: auto;
}
.onboardingContainer .screen-1 .outline-L {
  width: 87px;
  height: 80px;
  transform: rotate(10deg) translate(-30%, 200%);
  transition-delay: 0.4s;
  z-index: 2;
}
.onboardingContainer .screen-1 .orange-L {
  width: 550px;
  height: 660px;
  transform: rotate(-155deg) translate(11%, -18%);
  transition-delay: 0.2s;
}
.onboardingContainer .screen-1 .purple-C {
  width: 310px;
  height: 260px;
  transform: translate(-18%, -67%);
}
.onboardingContainer .screen-1 .yellow-circle {
  width: 165px;
  height: 165px;
  border-radius: 50%;
  transform: translate(230%, -5%);
  background: #952BB9;
  transition-delay: -0.2s;
}
.onboardingContainer .dialog-initial .brand-logo {
  transition-delay: 0.6s;
}
.onboardingContainer .dialog-initial .welcome-text {
  transition-delay: 0.8s;
}
.onboardingContainer .dialog-initial .colorway-variations,
.onboardingContainer .dialog-initial .tiles-theme-section {
  transition-delay: 0.9s;
}
.onboardingContainer .dialog-initial .primary,
.onboardingContainer .dialog-initial .secondary,
.onboardingContainer .dialog-initial .secondary-cta,
.onboardingContainer .dialog-initial .steps {
  transition-delay: 1s;
}
.onboardingContainer .screen:not(.dialog-initial):not([pos=corner]) .colorway-variations,
.onboardingContainer .screen:not(.dialog-initial):not([pos=corner]) .tiles-theme-section,
.onboardingContainer .screen:not(.dialog-initial):not([pos=corner]) .colorway-text {
  transition-delay: 0.2s;
}
.onboardingContainer .screen:not(.dialog-initial):not([pos=corner]) .primary,
.onboardingContainer .screen:not(.dialog-initial):not([pos=corner]) .secondary,
.onboardingContainer .screen:not(.dialog-initial):not([pos=corner]) .secondary-cta {
  transition-delay: 0.4s;
}
.onboardingContainer .screen-2 .section-main {
  z-index: 1;
  margin: auto;
}
.onboardingContainer .screen-2 .outline-L {
  width: 87px;
  height: 80px;
  transform: rotate(250deg) translate(-420%, 425%);
  transition-delay: 0.2s;
  z-index: 2;
}
.onboardingContainer .screen-2 .orange-L {
  height: 800px;
  width: 660px;
  transform: rotate(35deg) translate(-10%, -7%);
  transition-delay: -0.4s;
}
.onboardingContainer .screen-2 .purple-C {
  width: 392px;
  height: 394px;
  transform: rotate(260deg) translate(-34%, -35%);
  transition-delay: -0.2s;
  fill: #952BB9;
}
.onboardingContainer .screen-2 .yellow-circle {
  width: 165px;
  height: 165px;
  border-radius: 50%;
  transform: translate(160%, 130%);
  background: #E7258C;
}
.onboardingContainer.transition-in .noodle {
  opacity: 0;
  rotate: var(--rotate);
  scale: var(--scale);
}
.onboardingContainer.transition-in [pos=corner] .brand-logo,
.onboardingContainer.transition-in [pos=corner] .welcome-text,
.onboardingContainer.transition-in [pos=corner] .primary,
.onboardingContainer.transition-in [pos=corner] .checkbox-container,
.onboardingContainer.transition-in [pos=corner] .secondary,
.onboardingContainer.transition-in [pos=corner] .secondary-cta:not(.top),
.onboardingContainer.transition-in [pos=corner] .message-text {
  opacity: 0;
  translate: 0 var(--translate);
}
.onboardingContainer.transition-in [pos=corner] .attrib-text,
.onboardingContainer.transition-in [pos=corner] .secondary-cta.top {
  opacity: 0;
}
.onboardingContainer.transition-in .dialog-initial .main-content {
  translate: 0 calc(-2 * var(--translate));
}
.onboardingContainer.transition-in .dialog-initial .brand-logo,
.onboardingContainer.transition-in .dialog-initial .steps {
  opacity: 0;
  translate: 0 calc(-1 * var(--translate));
}
.onboardingContainer.transition-in .screen:not(.dialog-initial):not([pos=corner]) .steps {
  opacity: 0.2;
}
.onboardingContainer.transition-in .screen:not([pos=corner]) .welcome-text,
.onboardingContainer.transition-in .screen:not([pos=corner]) .colorway-variations,
.onboardingContainer.transition-in .screen:not([pos=corner]) .tiles-theme-section,
.onboardingContainer.transition-in .screen:not([pos=corner]) .colorway-text,
.onboardingContainer.transition-in .screen:not([pos=corner]) .primary,
.onboardingContainer.transition-in .screen:not([pos=corner]) .checkbox-container,
.onboardingContainer.transition-in .screen:not([pos=corner]) .secondary,
.onboardingContainer.transition-in .screen:not([pos=corner]) .secondary-cta:not(.top) {
  opacity: 0;
  translate: 0 calc(-1 * var(--translate));
}
.onboardingContainer.transition-out .noodle {
  opacity: 0;
  rotate: var(--rotate);
  scale: var(--scale);
  transition-delay: 0.2s;
}
.onboardingContainer.transition-out [pos=corner] .message-text {
  opacity: 0;
  translate: 0 var(--translate);
}
.onboardingContainer.transition-out [pos=corner] .main-content {
  opacity: 0;
  translate: 0 var(--translate);
  transition-delay: 0.2s;
}
.onboardingContainer.transition-out [pos=corner] .solid-L {
  transition-delay: 0.4s;
}
.onboardingContainer.transition-out [pos=corner] .attrib-text,
.onboardingContainer.transition-out [pos=corner] .secondary-cta.top {
  opacity: 0;
  transition-delay: 0.2s;
}
.onboardingContainer.transition-out .screen:not(.dialog-last):not([pos=corner]) .main-content {
  overflow: hidden;
}
.onboardingContainer.transition-out .screen:not(.dialog-last):not([pos=corner]) .welcome-text {
  opacity: 0;
  translate: 0 var(--translate);
  transition-delay: 0.1s;
}
.onboardingContainer.transition-out .screen:not(.dialog-last):not([pos=corner]) .colorway-variations,
.onboardingContainer.transition-out .screen:not(.dialog-last):not([pos=corner]) .tiles-theme-section,
.onboardingContainer.transition-out .screen:not(.dialog-last):not([pos=corner]) .colorway-text {
  opacity: 0;
  translate: 0 var(--translate);
  transition-delay: 0.2s;
}
.onboardingContainer.transition-out .screen:not(.dialog-last):not([pos=corner]) .primary,
.onboardingContainer.transition-out .screen:not(.dialog-last):not([pos=corner]) .checkbox-container,
.onboardingContainer.transition-out .screen:not(.dialog-last):not([pos=corner]) .secondary,
.onboardingContainer.transition-out .screen:not(.dialog-last):not([pos=corner]) .secondary-cta:not(.top) {
  opacity: 0;
  translate: 0 var(--translate);
  transition-delay: 0.3s;
}
.onboardingContainer.transition-out .screen:not(.dialog-last):not([pos=corner]) .steps {
  opacity: 0.2;
  transition-delay: 0.5s;
}
.onboardingContainer.transition-out .dialog-last .noodle {
  transition-delay: 0s;
}
.onboardingContainer.transition-out .dialog-last .main-content {
  opacity: 0;
  translate: 0 calc(2 * var(--translate));
  transition-delay: 0.4s;
}
